import React from 'react';

export const Compass = (props) =>
{
    return (
        <svg
            xmlns="http://www.w3.org/2000/svg"
            xmlSpace="preserve"
            width="60px"
            height="60px"
            version="1.1"
            shapeRendering="geometricPrecision"
            textRendering="geometricPrecision"
            imageRendering="optimizeQuality"
            fillRule="evenodd"
            clipRule="evenodd"
            viewBox="0 0 60 60"
            xmlnsXlink="http://www.w3.org/1999/xlink"
            {...props}
        >
            <g id="Layer_x0020_1">
                <metadata id="CorelCorpID_0Corel-Layer"/>
                <rect
                    fill="none"
                    width="60"
                    height="60"
                />
                <path
                    fill="white"
                    d="M30 1c16.016,0 29,12.984 29,29 0,16.016 -12.984,29 -29,29 -16.016,0 -29,-12.984 -29,-29 0,-16.016 12.984,-29 29,-29zm-27 28.252l8 0 0 1.5 -8 0 0 -1.5zm3.243 13.6l3.464 -2 0.75 1.299 -3.464 2 -0.75 -1.299zm9.609 10.157l2 -3.464 1.299 0.75 -2 3.464 -1.299 -0.75zm27 0.748l-2 -3.464 1.299 -0.75 2 3.464 -1.299 0.75zm10.157 -9.609l-3.464 -2 0.75 -1.299 3.464 2 -0.75 1.299zm0.748 -27l-3.464 2 -0.75 -1.299 3.464 -2 0.75 1.299zm-9.609 -10.157l-2 3.464 -1.299 -0.75 2 -3.464 1.299 0.75zm-27 -0.748l2 3.464 -1.299 0.75 -2 -3.464 1.299 -0.75zm-10.157 9.609l3.464 2 -0.75 1.299 -3.464 -2 0.75 -1.299zm-2.363 19.913c0.534,-0.142 1.082,0.174 1.225,0.708 0.143,0.533 -0.174,1.081 -0.708,1.225 -0.533,0.142 -1.081,-0.174 -1.224,-0.708 -0.143,-0.533 0.173,-1.081 0.707,-1.225zm6.282 11.914c0.39,-0.39 1.023,-0.39 1.414,0 0.391,0.391 0.391,1.024 0,1.415 -0.391,0.39 -1.024,0.39 -1.414,0 -0.391,-0.391 -0.391,-1.024 0,-1.415zm11.397 7.177c0.143,-0.534 0.691,-0.85 1.225,-0.707 0.533,0.143 0.85,0.691 0.707,1.225 -0.143,0.533 -0.691,0.85 -1.225,0.707 -0.533,-0.143 -0.85,-0.691 -0.707,-1.225zm13.458 0.517c-0.142,-0.534 0.174,-1.082 0.708,-1.225 0.533,-0.143 1.081,0.173 1.225,0.707 0.142,0.534 -0.174,1.082 -0.708,1.225 -0.533,0.143 -1.081,-0.174 -1.225,-0.707zm11.914 -6.282c-0.39,-0.391 -0.39,-1.024 0,-1.414 0.391,-0.391 1.024,-0.391 1.415,0 0.39,0.39 0.39,1.023 0,1.414 -0.391,0.39 -1.024,0.39 -1.415,0zm7.177 -11.397c-0.534,-0.143 -0.85,-0.692 -0.707,-1.225 0.143,-0.534 0.691,-0.85 1.225,-0.707 0.533,0.143 0.85,0.691 0.707,1.225 -0.143,0.533 -0.691,0.85 -1.225,0.707zm0.517 -13.459c-0.534,0.143 -1.082,-0.173 -1.225,-0.707 -0.143,-0.534 0.173,-1.082 0.707,-1.225 0.534,-0.143 1.082,0.174 1.225,0.707 0.143,0.534 -0.174,1.082 -0.707,1.225zm-6.282 -11.914c-0.391,0.391 -1.024,0.391 -1.414,0 -0.391,-0.39 -0.391,-1.023 0,-1.414 0.39,-0.391 1.023,-0.391 1.414,0 0.39,0.391 0.39,1.024 0,1.414zm-11.397 -7.176c-0.143,0.533 -0.692,0.85 -1.225,0.707 -0.534,-0.143 -0.85,-0.692 -0.707,-1.225 0.143,-0.534 0.691,-0.85 1.225,-0.707 0.533,0.143 0.85,0.691 0.707,1.225zm-13.459 -0.517c0.143,0.534 -0.173,1.082 -0.707,1.225 -0.534,0.143 -1.082,-0.174 -1.225,-0.708 -0.143,-0.533 0.174,-1.081 0.707,-1.224 0.534,-0.143 1.082,0.173 1.225,0.707zm-11.914 6.282c0.391,0.39 0.391,1.023 0,1.414 -0.39,0.391 -1.023,0.391 -1.414,0 -0.391,-0.391 -0.391,-1.024 0,-1.414 0.391,-0.391 1.024,-0.391 1.414,0zm-7.176 11.397c0.533,0.143 0.85,0.691 0.707,1.225 -0.143,0.533 -0.692,0.85 -1.225,0.707 -0.534,-0.143 -0.85,-0.692 -0.707,-1.225 0.143,-0.534 0.691,-0.85 1.225,-0.707zm43.855 6.945l8 0 0 1.5 -8 0 0 -1.5z"
                />
                <polygon
                    fill="#FF3732"
                    points="30,3 36,15 24,15 "
                />
                <polygon
                    fill="#363636"
                    points="30,57.001 36,45.002 24,45.002 "
                />
                <path
                    fill="#363636"
                    d="M24.001 23.001c1.067,0 2.134,0 3.2,0l5.801 8.924 0 -8.924 3 0 0 14c-1.067,0 -2.134,0 -3.2,0l-5.801 -8.923 0 8.923 -3 0 0 -14z"
                />
            </g>
        </svg>
    );
};
